#property copyright "*"
#property link      "*"

//---- input parameters
extern double Lots=0.1;
extern int FastMAPeriod=27;
extern int FastMAMethod=0; // 0-SMA, 1-EMA, 2-SMMA, 4-LWMA
extern int FastMAPrice=0; // 0-Close, 1-Open, 2-High, 3-Low, 4-Median, 5-Typical, 6-Weighted
extern int SlowMAPeriod=42;
extern int SlowMAMethod=0; // 0-SMA, 1-EMA, 2-SMMA, 4-LWMA
extern int SlowMAPrice=0; // 0-Close, 1-Open, 2-High, 3-Low, 4-Median, 5-Typical, 6-Weighted




int BuyTicket,SellTicket;
int StLevel2;
double slts,tpts;
//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
  {
//----

//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start(){

      double fast_ma1=iMA(NULL,0,FastMAPeriod,0,FastMAMethod,FastMAPrice,1);
      double slow_ma1=iMA(NULL,0,SlowMAPeriod,0,SlowMAMethod,SlowMAPrice,1);
      double fast_ma2=iMA(NULL,0,FastMAPeriod,0,FastMAMethod,FastMAPrice,2);
      double slow_ma2=iMA(NULL,0,SlowMAPeriod,0,SlowMAMethod,SlowMAPrice,2);


         if(fast_ma1>slow_ma1 && !(fast_ma2>slow_ma2)){
            if(SellTicket!=0){
               OrderClose(SellTicket,Lots,Ask,0,CLR_NONE);
               SellTicket=0;
            }
            if(BuyTicket==0){
               BuyTicket=OrderSend(Symbol(),OP_BUY,0.1,Ask,0,0,0,NULL,0,0,CLR_NONE);
            }
         }
         if(fast_ma1<slow_ma1 && !(fast_ma2<slow_ma2)){
            if(BuyTicket!=0){
               OrderClose(BuyTicket,Lots,Bid,0,CLR_NONE);
               BuyTicket=0;
            }
            if(SellTicket==0){
               SellTicket=OrderSend(Symbol(),OP_SELL,Lots,Bid,0,0,0,NULL,0,0,CLR_NONE);
            }
         }         
         
      

   return(0);
}
//+------------------------------------------------------------------+

